Assignee:    
Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1180666 Red Hat JIRA:  

Pull request:    

Description

We need to deploy this setting in the proxy YAML config file:

:foreman_url: https://FQDN

 ABRT proxy plugin is the first plugin that relies on this. Since this is now supported plugin I am giving this a priority to get some

attention for the next sprint planning.

Related issues:

Related to Katello - Bug #8372: Make puppet ssl certificate+key that is used ... Closed 11/12/2014

Has duplicate Smart Proxy - Bug #8373: Set :foreman_url in /etc/foreman-proxy... Duplicate 11/12/2014

Associated revisions

Revision 7b70805a - 01/06/2015 08:56 AM - Lukas Zapletal

Fixes #7833 - foreman_url is set for the smart proxy

History

#1 - 10/07/2014 07:50 AM - Dominic Cleal

- Category set to Foreman modules

- Priority changed from High to Normal

#2 - 10/07/2014 07:57 AM - Martin Milata

ABRT proxy plugin is the first plugin that relies on this.

 I believe the chef plugin needs this as well.

#3 - 12/05/2014 03:28 AM - Dominic Cleal

- Has duplicate Bug #8373: Set :foreman_url in /etc/foreman-proxy/settings.yml added

#4 - 12/09/2014 10:12 AM - Lukas Zapletal

- Priority changed from Normal to High

This is now needed by discovery proxy plugin as well. Boosting priority a bit.

What is the best way to implement this please? If it's easy, let's just do it right away. Should we detect the foreman_url from fqdn?

#5 - 12/09/2014 10:19 AM - Lukas Zapletal

- Related to Bug #8372: Make puppet ssl certificate+key that is used to authenticate against foreman available to the smart-proxy added

#6 - 12/09/2014 10:38 AM - Ewoud Kohl van Wijngaarden
That is the easiest. https://github.com/theforeman/puppet-foreman/blob/master/manifests/params.pp#L5 does the same. Then users who deploy it by

default at least get a sane install.

#7 - 12/09/2014 10:40 AM - Dominic Cleal

https://github.com/theforeman/puppet-foreman_proxy/blob/master/manifests/params.pp#L174-L175 :)

#8 - 12/09/2014 10:45 AM - Ewoud Kohl van Wijngaarden

Then it's just a matter of using it in the template :)

#9 - 01/06/2015 12:01 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman_proxy|7b70805aa0199bf53d9f621912fba4604bd835d8.

#10 - 01/12/2015 12:42 PM - Bryan Kearney

- Bugzilla link set to 1180666
